## R-1.7.1.tgz

=== DESCRIPTION ===
Package: lattice
Version: 0.7-14
Date: 2003/06/07
Priority: recommended
Title: Lattice Graphics
Author: Deepayan Sarkar <deepayan@stat.wisc.edu>
Maintainer: Deepayan Sarkar <deepayan@stat.wisc.edu>
Description: Implementation of Trellis Graphics. See ?Lattice for a brief introduction
Depends: R (>= 1.7.0), grid (>= 0.7), modreg
License: GPL version 2 or later

=== src/gnuwin32/Makefile ===
include MkRules

## This is done so Rpwd.exe gets built first under a native build,
## but it is not used in Makefile under a cross-build.
ifneq ($(strip $(BUILD)),CROSS)
ifneq ($(strip $(wildcard Rpwd.exe)),)
all: Rpwd.exe rbuild rpackage rdocs
else
all: Rpwd.exe
	$(MAKE) rbuild rpackage rdocs
endif
else
all: Rpwd.exe rbuild rpackage rdocs
endif

PACKAGES = base ctest eda lqs methods modreg mva nls splines stepfun tools ts
ALLPACKAGES = $(PACKAGES) tcltk

## must be absolute and space-free paths
ifneq ($(strip $(BUILD)),CROSS)
RHOME = $(shell ./Rpwd.exe ../..)
PKGD = $(shell ./Rpwd.exe $(PKGDIR))
else
RHOME = $(shell perl pwd.pl ../..)
PKGD = $(shell perl pwd.pl $(PKGDIR))
endif

RPREFIX = $(shell perl fixed/rwver.pl ../../VERSION)

RLIB = $(RHOME)/library
PKGDIR = $(RHOME)/src/library

OPTFLAGS=-O2 -Wall -pedantic
## use FOPTFLAGS where complex*16 is used.
FOPTFLAGS=-O2 -Wall
ifdef DEBUG
 OPTFLAGS+=-g
 FOPTFLAGS+=-g
 DLLFLAGS=
else
 DLLFLAGS=-s
endif

ifneq ($(strip $(BUILD)),CROSS)
R-DLLFLAGS = -mwindows
## needed for gcc-3.2.2 but not 3.2 nor 3.3
## R-DLLFLAGS = -mwindows -Wl,--allow-multiple-definition
else
R-DLLFLAGS = -mwindows
endif
R-DLLLIBS =-L. $(FLIBS) -lRblas -lcomctl32 -lversion
SOURCES = $(filter-out malloc.c blas00.c,$(wildcard *.c *.f))
OBJS = $(SOURCES:.c=.o)
MAINLIBS = libmain.a libappl.a libmath.a
EXTRALIBS = ga.a gl.a xdr.a ../extra/zlib/libz.a ../extra/pcre/libRpcre.a\
   ../extra/bzip2/libbz2.a

LIBFILES = $(foreach i, $(ALLPACKAGES), ../../library/$i) ../../library/R.css
PKGS = $(foreach i,$(PACKAGES),pkg-$i)
PKGCLEAN = $(foreach i,$(ALLPACKAGES),pkgclean-$i)

# flags to ensure that Doug Lea's malloc is used:
ifdef LEA_MALLOC
extra-CFLAGS+=-DLEA_MALLOC
OBJS-EXTRA=malloc.o
endif

.PHONY:  clean veryclean  rlibs fixfiles front-ends rmodules


# separate as Tcl/Tk headers are needed.
tcl:
	@$(MAKE) --no-print-directory pkg-tcltk

CFLAGS = $(OPTFLAGS) -I../include -I. -DHAVE_CONFIG_H -DR_DLL_BUILD
FFLAGS = $(FOPTFLAGS)

Rpwd.exe: front-ends/Rpwd.exe
	$(CP) $< $@

front-ends/Rpwd.exe:
	$(MAKE) --no-print-directory -C front-ends Rpwd

## watch out: R.dll and Rblas.dll depend on each other.
rbuild: fixfiles rlibs makeMakedeps libRblas.a ../../bin/R.dll libR.a \
	 ../../bin/Rblas.dll CHTML front-ends COPYRIGHTS rmodules Rcode

## used to build skeletal versions of packages, enough to run
## package tools to install them properly
INITPACKAGES = base tools
Rcode: fixed/fixdesc
	@$(ECHO) "  making bootstrap versions of packages ..."
	@for pkg in $(INITPACKAGES); do \
	  if ! test -f $(RHOME)/library/$${pkg}/DESCRIPTION ; then \
	  $(ECHO) "  --" $$pkg; \
	  $(MAKE) --no-print-directory -C $(PKGDIR)/$${pkg} PKG=$${pkg} \
	    RHOME=$(RHOME) -f $(RHOME)/src/gnuwin32/MakePkg Rcode; \
	  fi; \
	done
	@$(ECHO) "  ... done"


rpackage: ../../library/R.css
	@$(MAKE) --no-print-directory $(PKGS)

rlibs:
	$(MAKE) --no-print-directory -C ../appl  OPTFLAGS='$(OPTFLAGS)' -f Makefile.win
	$(MAKE) --no-print-directory -C ../main  OPTFLAGS='$(OPTFLAGS)' -f Makefile.win
	$(MAKE) --no-print-directory -C ../nmath OPTFLAGS='$(OPTFLAGS)' -f Makefile.win
	$(MAKE) --no-print-directory -C ./graphapp
	$(MAKE) --no-print-directory -C ./getline
	$(MAKE) --no-print-directory -C ../extra/xdr -f Makefile.win

rmodules: libRm.a
	$(MAKE) --no-print-directory -C ../modules \
	  OPTFLAGS='$(OPTFLAGS)' FOPTFLAGS='$(FOPTFLAGS)' -f Makefile.win

COPYRIGHTS: $(RHOME)/COPYRIGHTS COPYRIGHTS.win
	cat $^ > $@


fixfiles: docfiles
	@$(MKDIR) -p ../../bin
	@$(MAKE) --no-print-directory -C ./fixed

fixed/fixdesc:
	@sh fixed/GETDESC $(ALLPACKAGES)

dllversion.o: ../include/Rversion.h

R.dll: R.a $(OBJS-EXTRA) $(MAINLIBS) $(EXTRALIBS) dllversion.o

Rdll: makeMakedeps ../../bin/R.dll

../../bin/R.dll: fixfiles rlibs R.dll
	@$(MKDIR) -p ../../bin
	$(CP) R.dll ../../bin/

front-ends: libR.a
	$(MAKE) --no-print-directory -C front-ends

R.a: $(OBJS)
	@$(ECHO) -------- Building $@ --------
	$(AR) cr R.a $^
	$(RANLIB) R.a


# R.dll exports all global symbols BUT import library (libR.a)
# only (all functions) + (global vars listed in exported-vars))

libR.a:  R.exp
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname R.dll --def R.exp --output-lib libR.a

R.exp: R.exp1
	@(diff R.exp R.exp1 > /dev/null) || $(CP) R.exp1 R.exp

R.exp1: R.a $(MAINLIBS) $(EXTRALIBS) exported-vars
	@$(ECHO) EXPORTS > $@
	@$(NM) R.a $(MAINLIBS) $(EXTRALIBS) > RDefs
	@$(SED) -n '/^........ [T] _/s/^........ [T] _/ /p' RDefs >> $@
	@$(CAT) exported-vars >> $@
	@$(RM) RDefs

# An additional import library needed for the modules that uses R.dll's malloc/.../free
libRm.a:  Rm.exp
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname R.dll --def Rm.exp --output-lib libRm.a

Rm.exp: Rm.exp1
	@(diff Rm.exp Rm.exp1 > /dev/null) || $(CP) Rm.exp1 Rm.exp

Rm.exp1: $(OBJS-EXTRA)
	@$(ECHO) EXPORTS > $@
	@$(NM) $(OBJS-EXTRA) > RDefs
	@$(SED) -n '/^........ [T] _/s/^........ [T] _/ /p' RDefs >> $@
	@$(RM) RDefs

../../library/R.css: ../../doc/html/R.css
	$(CP) $< $@

../extra/zlib/libz.a:
	$(MAKE) --no-print-directory -C ../extra/zlib -f Makefile.win

../extra/pcre/libRpcre.a:
	$(MAKE) --no-print-directory -C ../extra/pcre -f Makefile.win

../extra/bzip2/libbz2.a:
	$(MAKE) --no-print-directory -C ../extra/bzip2  -f Makefile.win libbz2.a

rdocs:
	@$(ECHO)
	@$(ECHO) "------ Making HTML documentation ------"
	@$(MAKE) --no-print-directory -C ../../doc/manual -f Makefile.win html BUILD=$(BUILD)


#                          ===== BLAS ======

Rblas: ../../bin/Rblas.dll

Rblas-clean:
	$(RM) ../../bin/Rblas.dll blas00.o blas00.d blas.o cmplxblas.o

Rblas-DLLLIBS=-L. -lR

libRblas.a:  Rblas.def
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname Rblas.dll \
	  --def Rblas.def --output-lib libRblas.a

ifeq ($(strip $(USE_ATLAS)),YES)
../../bin/Rblas.dll: blas00.o dllversion.o
	@$(ECHO) -------- Building $@ --------
	$(DLL) -shared $(DLLFLAGS) -o $@ $^ Rblas.def -L $(ATLAS_PATH) \
	   -L. -lR -lg2c -lf77blas -latlas
## suppress lots of warnings: this is a dummy
blas00.o: blas00.c
	$(CC) -O2  -c $< -o $@
else
../../bin/Rblas.dll: blas.o cmplxblas.o zgemm.o dllversion.o
	@$(ECHO) -------- Building $@ --------
	$(DLL) -shared $(DLLFLAGS) -o $@ Rblas.def $^ -L. -lR

blas.o: ../appl/blas.f
	$(F77) $(FFLAGS) -c $< -o $@
zgemm.o: ../appl/zgemm.f
	$(F77) $(FOPTFLAGS) -c $< -o $@
cmplxblas.o: ../modules/lapack/cmplxblas.f
	$(F77) $(FOPTFLAGS) -c $< -o $@
endif


#                          ===== Packages ======

CHTML:
ifeq ($(strip $(HELP)),YES)
ifeq ($(strip $(WINHELP)),CHM)
	$(MAKE) --no-print-directory -C ./help -f MkChmDll
endif
ifeq ($(strip $(WINHELP)),BOTH)
	$(MAKE) --no-print-directory -C ./help -f MkChmDll
endif
endif

base-HELP = ziponly
methods-HELP = ziponly
nls-HELP = ziponly
ts-HELP = ziponly
base-ZIPDATA = zip
ts-ZIPDATA = zip

MASS-HELP = ziponly
MASS-ZIPDATA = zip
boot-HELP = ziponly
boot-ZIPDATA = zip
cluster-HELP = ziponly
cluster-ZIPDATA = zip
grid-HELP = ziponly
grid-ZIPDATA = zip
lattice-HELP = ziponly
lattice-ZIPDATA = zip
nlme-HELP = ziponly
nlme-ZIPDATA = zip
rpart-HELP = ziponly
rpart-ZIPDATA = zip
survival-HELP = ziponly
survival-ZIPDATA = zip

# need special-case handling for bundle, as --auto-zip is not enabled
dse1-HELP = ziponly
dse2-HELP = ziponly

bundle-%:
	@$(PERL) fixed/dobundle.pl $* $(PKGD) $(RLIB)

pkg-%:
	@$(MAKE) --no-print-directory DLLNM=$($*-DLLNM)  FLIBS="$(FLIBS)" BUILD=$(BUILD) \
	  -C $(PKGDIR)/$* PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) RVER=$(RVER) \
	  -f $(RHOME)/src/gnuwin32/MakePkg
	@if test -d $(RLIB)/$*/data ; then \
	  $(MAKE) --no-print-directory $($*-ZIPDATA)data-$* ; \
	fi
ifeq ($(strip $(HELP)),YES)
	@$(ECHO) "  installing help"
	@$(MAKE) --no-print-directory -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) $($*-HELP)help-$*
ifeq ($(strip $(WINHELP)),CHM)
	@$(MAKE) --no-print-directory -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) chm-$*
endif
ifeq ($(strip $(WINHELP)),BOTH)
	@$(MAKE) --no-print-directory -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) winhlp-$* # also makes chm
endif
endif
	@$(MAKE) --no-print-directory BUILD=$(BUILD) \
	  -C $(PKGDIR)/$* PKG=$* RHOME=$(RHOME) RLIB=$(RLIB)  \
	  -f $(RHOME)/src/gnuwin32/MakePkg md5sums

pkgclean-%:
	$(MAKE) --no-print-directory DLLNM=$($*-DLLNM) RHOME=$(RHOME) BUILD=$(BUILD) \
	  -C $(PKGDIR)/$* PKG=$* -f $(RHOME)/src/gnuwin32/MakePkg clean

pkgcheck-%:
	@$(ECHO) -------- Testing package $* --------
	-@$(MKDIR) -p $(PKGDIR)/$*/check
	@$(MAKE) --no-print-directory -C $(PKGDIR)/$*/check PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f $(RHOME)/src/gnuwin32/check/PkgCheck
	@if test -d $(PKGDIR)/$*/tests ; then \
	  $(MAKE) --no-print-directory -C $(PKGDIR)/$*/tests PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	    -f $(RHOME)/src/gnuwin32/check/PkgCheck tests;\
	fi

ziphelp-%:
	$(MAKE) --no-print-directory -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziphelp-$*

ziponly-%:
	$(MAKE) --no-print-directory -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziponlyhelp-$*

zipdata-%:
	@$(ECHO) "  zipping data"
	@(cd $(RLIB)/$*/data; \
	  if test -f Rdata.zip ; then \
	    unzip -qou Rdata; \
	  fi; \
	  $(RM) Rdata.zip filelist ; \
	  ls -1 > filelist; \
	  zip -rmq9X Rdata * -x filelist 00Index)

data-%:
	@$(ECHO) "  not zipping data"


#                          ===== cleaning ======

clean: cleanwin $(PKGCLEAN)
	$(RM) -f ../*/*.o $(WINOBJS) *.a ../*/*.d ../*/Makedeps fixed/fixdesc
	-$(MAKE) --no-print-directory -C ../../doc/manual -f Makefile.win distclean
	-$(MAKE) --no-print-directory -C ../nmath/standalone -f Makefile.win distclean
	-$(MAKE) --no-print-directory -C ../modules -f Makefile.win clean
	-$(MAKE) --no-print-directory -C ../../tests -f Makefile.win clean
	$(RM) -f ../library/methods/R/methods
	for p in $(REC_PKGS); do \
	  $(RM) -rf ../library/$$p; \
	done

distclean veryclean: clean clean-recommended
	$(RM) -r ../../bin ../../lib ../../library ../../modules
	$(RM) ../include/config.h ../include/psignal.h \
	../include/Rconfig.h ../include/Rversion.h ../include/Rmath.h
	$(RM) ../library/*/src/*.o ../library/*/src/*.a
	$(RM) ../library/*/src/*.d ../library/*/src/Makedeps
	$(RM) ../library/*/src/*.dll
	$(RM) -r ../library/*/check
	$(RM) ../library/tcltk/src/tcl$(TCL_VERSION).def \
	../library/tcltk//src/tk$(TCL_VERSION).def
	$(RM) R.exp Rm.exp COPYRIGHTS
	$(RM) ../../doc/html/search/index.txt ../../doc/html/index.html \
	../../doc/html/packages.html ../../doc/html/rwin.html \
	../../doc/html/rw-FAQ.html ../../doc/html/search/SearchEngine.html
	$(RM) ../../etc/Rconsole ../../etc/Rdevga ../../etc/Rprofile \
	../../etc/rgb.txt ../../share/make/wintests.mk \
	../include/Platform.h ../../tests/*.Rout ../../tests/*.Rout.fail
	$(MAKE) -C fixed distclean
	-$(MAKE) -C installer distclean
	@for pkg in $(ALLPACKAGES); do \
	  $(RM) ../library/$${pkg}/DESCRIPTION; \
	done
	$(RM) rw-FAQ fixed/html/rw-FAQ.html
	$(RM) -r cran/index.html cran/ReadMe cran/README* cran/*.exe cran/md5sum.txt \
	  cran/mini
	$(RM) Rpwd.exe # do this last of all

cleanwin:
	$(RM) *.o *.dll *.a *~ \#*\# rw*.zip R.def R.exp1 Rm.exp1\
	   .RData .Rhistory Makedeps *.d
	$(MAKE) -C graphapp clean
	$(MAKE) -C fixed clean
	$(MAKE) -C getline clean
	$(MAKE) -C help clean
	$(MAKE) -C front-ends clean
	$(MAKE) -C ../extra/xdr -f Makefile.win clean
	$(MAKE) -C ../extra/pcre -f Makefile.win distclean
	$(MAKE) -C ../extra/bzip2 -f Makefile.win clean
	$(MAKE) -C bitmap clean
	-$(MAKE) -C installer clean


#                          ===== testing ======

# tests
check test: pkgtests test-Basic

test-Basic:
	-@$(MAKE) --no-print-directory -C $(RHOME)/tests -f Makefile.win clean
	-@$(MAKE) --no-print-directory -C $(RHOME)/tests -f Makefile.win


PKGS-CHK = $(foreach i, $(PACKAGES), pkgcheck-$i)
pkgtests: $(PKGS-CHK)

check-devel: check
	-@$(MAKE) --no-print-directory -C $(RHOME)/tests -f Makefile.win $@

check-all fullcheck: check-devel check-recommended

REC_PKGS-CHK = $(foreach i, $(REC_PKGS), pkgcheck-$i)
check-recommended: $(REC_PKGS-CHK)

=== src/gnuwin32/installer/Makefile ===
# Makefile for R for Windows Installers

include ../MkRules
RPREFIX = $(shell perl ../fixed/rwver.pl ../../../VERSION)
PACKAGES = base ctest eda lqs methods modreg mva nls splines stepfun tools ts
ALLPACKAGES = $(PACKAGES) tcltk
LIBFILES = $(foreach i, $(ALLPACKAGES), ../../../library/$i) ../../../library/R.css

all: $(RPREFIX).exe

#taken from ../include/Makefile.in
SRC_HEADERS = R.h S.h Rdefines.h Rdevices.h Rgraphics.h Rinternals.h Rmath.h
OBJ_HEADERS = Rconfig.h Rversion.h
GW32_HEADERS =

imagedir:
	$(RM) -r $(RPREFIX)
	$(MKDIR) $(RPREFIX)
#
# the next lines were formerly the bindist target
#
	$(CP) -pr ../../../bin ../../../modules ../../../afm $(RPREFIX)
	$(MKDIR) -p $(RPREFIX)/library
	$(CP) -pr $(LIBFILES) $(RPREFIX)/library
# morley.tab is needed for R-intro Appendix A
	$(CP) -p ../../library/base/data/morley.tab $(RPREFIX)/library/base/data
	$(RM) $(RPREFIX)/*/Makefile.in
	(cd $(RPREFIX)/bin; $(RM) INSTALL REMOVE SHLIB build check \
	   massage-Examples Rd2dvi.sh Rd2txt Rdconv Rdiff.sh Rdindex \
           Sd2Rd)
	$(MKDIR) -p $(RPREFIX)/etc
	$(CP) -p ../../../etc/Rprofile $(RPREFIX)/etc/Rprofile
	$(CP) -p ../../../etc/Rconsole $(RPREFIX)/etc/Rconsole
	$(CP) -p ../../../etc/Rdevga $(RPREFIX)/etc/Rdevga
	$(CP) -p ../../../etc/rgb.txt $(RPREFIX)/etc/rgb.txt
	$(MKDIR) -p $(RPREFIX)/doc/manual  $(RPREFIX)/share/texmf
	$(CP) -pr ../../../doc/html $(RPREFIX)/doc
	$(CP) -p ../../../doc/manual/*.html $(RPREFIX)/doc/manual
	$(CP) -pr ../../../share/texmf $(RPREFIX)/share
	$(CP) -p ../../../AUTHORS ../../../COPYING ../COPYRIGHTS ../../../FAQ ../../../NEWS \
		../../../README ../../../RESOURCES ../../../THANKS ../../../Y2K $(RPREFIX)
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g ../readme > $(RPREFIX)/README.$(RPREFIX)
	$(CP) -p ../rw-faq $(RPREFIX)/rw-FAQ
	$(CP) -p ../CHANGES ../README.Rterm $(RPREFIX)
# convert docs and batch files to CRLF: might already be on Windows, though.
ifeq ($(strip $(BUILD)),CROSS)
	zip -l dosfiles.zip $(RPREFIX)/* $(RPREFIX)/bin/*.bat
	unzip -ao dosfiles.zip
else
	zip dosfiles.zip $(RPREFIX)/* $(RPREFIX)/bin/*.bat
	unzip -o dosfiles.zip
endif
	$(RM) dosfiles.zip
	$(RM) $(RPREFIX)/doc/manual/R-FAQ.html
#
# the next lines were formerly the docsdist target
#
	$(MKDIR) -p $(RPREFIX)/doc/manual
	$(CP) -pr ../../../doc/manual/*.pdf $(RPREFIX)/doc/manual
	$(RM) $(RPREFIX)/doc/manual/R-FAQ.pdf
#
# the next lines were formerly the packagedist target
#
	$(MKDIR) -p $(RPREFIX)/bin $(RPREFIX)/etc \
	  $(RPREFIX)/doc $(RPREFIX)/doc/html $(RPREFIX)/share \
	  $(RPREFIX)/src/include $(RPREFIX)/src/library \
	  $(RPREFIX)/src/gnuwin32/fixed
	$(CP) ../../../doc/html/logo.jpg $(RPREFIX)/doc/html
	$(CP) ../../../doc/KEYWORDS* $(RPREFIX)/doc
	$(CP) -p ../exported-vars ../R.exp ../Rblas.def ../MkRules ../MakePkg ../MakeDll \
	  ../Rpwd.exe ../pwd.pl ../makeDllRes.pl ../install-save.sh $(RPREFIX)/src/gnuwin32
	$(SED) -e s/@RVER@/$(RVER)/g ../Makefile.packages > $(RPREFIX)/src/gnuwin32/Makefile
	$(CP) ../fixed/dobundle.pl $(RPREFIX)/src/gnuwin32/fixed
	$(CP) -pr ../help ../check $(RPREFIX)/src/gnuwin32
	$(RM) $(RPREFIX)/src/gnuwin32/help/*.c \
	  $(RPREFIX)/src/gnuwin32/help/MkChmDll
	(cd ..; $(MAKE) --no-print-directory -C installer/$(RPREFIX)/src/gnuwin32/help clean)
	$(CP) -p $(foreach i,$(SRC_HEADERS) $(OBJ_HEADERS) $(GW32_HEADERS), \
	  ../../include/$i) $(RPREFIX)/src/include
	$(CP) -pr ../../include/R_ext $(RPREFIX)/src/include
	$(SED) -e 3,5d ../readme.packages > $(RPREFIX)/readme.packages
	$(CP) ../../../COPYING.LIB $(RPREFIX)
	$(CP) -r ../../../share/make ../../../share/perl ../../../share/texmf \
	   $(RPREFIX)/share
	$(CP) ../../../bin/INSTALL ../../../bin/REMOVE ../../../bin/SHLIB \
	  ../../../bin/build ../../../bin/check ../../../bin/massage-Examples \
	  ../../../bin/Rd2dvi.sh ../../../bin/Rd2txt ../../../bin/Rdconv \
	  ../../../bin/Rdindex ../../../bin/Rdiff.sh \
	  ../../../bin/Sd2Rd  \
          $(RPREFIX)/bin
	$(CP) -pr ../../../lib $(RPREFIX)
	$(CP) ../../../share/make/wintests.mk $(RPREFIX)/share/make
	$(CP) -pr ../../../share/R $(RPREFIX)/share
	$(CP) -p ../graphapp/graphapp.h ../graphapp/ga.h $(RPREFIX)/src/include
	(cd ..; $(MAKE) --no-print-directory PKGDIR=. pkgclean-windlgs)
	$(CP) -pr ../windlgs $(RPREFIX)/src/library
#
# the next lines were formerly the dist-recommended target
#
	@for p in $(REC_PKGS); do \
	echo Copying $$p ; \
	$(MKDIR) -p $(RPREFIX)/library/$$p ; \
	$(CP) -pr ../../../library/$$p $(RPREFIX)/library ; \
	done	
#
	find $(RPREFIX) -name CVS -prune -exec rm -rf \{\} \;
	
R.iss Rsmall.iss: JRins.pl imagedir
	rm -rf $(RPREFIX)/library/*/man
	$(CAT) $(RPREFIX)/library/*/CONTENTS >  \
	  $(RPREFIX)/doc/html/search/index.txt
	echo "make.packages.html(.Library)" | $(RPREFIX)/bin/rterm --vanilla --slave
	$(CP) -pr ../../../Tcl $(RPREFIX)
	perl JRins.pl $(RPREFIX) 

$(RPREFIX).exe: R.iss
	"$(ISDIR)/iscc" R.iss > $(RPREFIX).log
	"$(ISDIR)/iscc" Rsmall.iss > miniR.log

clean:
	rm -rf R.iss Rsmall.iss *.log $(RPREFIX) 

distclean: clean
	rm -f $(RPREFIX).exe miniR*

# for historical reasons
ISclean: clean
ISdistclean: distclean

=== debian/changelog ===
r-base (1.7.0-3) unstable; urgency=low

  * debian/rules: No longer configure for use of an external lapack library
    as some numerical infelicities have come up on shore.
  * debian/rules: Now call configure --with-blas=atlas for Atlas / Blas 
  * debian/shlibs.local: add '| blas | blas2' to 'libatlas 2 atlas2-base'
  * debian/control: r-gnome Recommends: r-cran-gtkdevice (Closes: #190735)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Apr 2003 20:56:54 -0500

r-base (1.7.0-2) unstable; urgency=low

  * debian/control: r-recommended Description updates w.r.t. MASS edition
  * debian/rules: Remove Depends of r-recommended on atlas2-base as it is 
    neither 'virtual' nor required as r-recommnded itself depends on 
    r-base-core so that we get its Depends on atlas2-base | blas2 | blas

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 20 Apr 2003 20:18:56 -0500

r-base (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 16 Apr 2003 10:43:57 -0500

r-base (1.6.2.cvs.20030413-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-04-13 of R 1.7.0
  * debian/control: Section set to gnome for r-gnome
  * debian/r-recommended.preinst: rm doc dir (Closes: #188995)
 
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2003 20:35:32 -0500

r-base (1.6.2.cvs.20030409-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-04-09 of R 1.7.0
  * debian/rules: Hack result of dh_shlibdeps with Perl to remove the
    double atlas2 entry caused by the virtual depends on blas and lapack
  * debian/rules: Small improvement to R_LIBS patch to conform with
    standard of respecting prior settings, if any, of the variable
  * debian/control: Upgraded Standards-Version to 3.5.9

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  9 Apr 2003 23:09:00 -0500

r-base (1.6.2.cvs.20030405-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-04-05 of R 1.7.0
  * debian/rules: Configure with --with-blas, not --with-blas=blas
  * debian/r-base-core.prerm: s/treu/true/
  * debian/rules: Link $R_HOME/doc into /usr/share/doc/r-base-core, rather
    than its subdirectories doc and manual as e.g. manual link could be
    dangling if r-doc-pdf is not installed (Closes: #187573)

 -- Douglas Bates <bates@stat.wisc.edu>  Sat,  5 Apr 2003 08:35:37 -0600

r-base (1.6.2.cvs.20030403-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-04-03 of R 1.7.0
  * debian/rules: Add R_LIBS setting to /etc/R/Renviron such that 
    user-installed packages will be in /usr/local/lib/R/site-library,
    Debian packages will install into /usr/lib/R/site-library and
    the r-base-core and r-recommended packages will use the standard
    /usr/lib/R/library directory
  * debian/r-base-core.dirs: Add /usr/lib/R/site-library
  * debian/r-base-core.postinst: Add failsafe creation of directory
    /usr/local/lib/R/site-library as per Policy section 10.1.2
  * debian/r-base-core.prerm: Add failsafe creation of directory
    /usr/local/lib/R/site-library as per Policy section 10.1.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  3 Apr 2003 10:16:06 -0600

r-base (1.6.2.cvs.20030331-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-03-30 of R 1.7.0
  * debian/control: Added lapack-dev to Depends for r-base-dev
  * debian/rules: Removed rrecommended tests
   
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Mar 2003 09:01:22 -0600

r-base (1.6.2.cvs.20030330-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-03-30 of R 1.7.0
  * Upstream sources fix the problem reported in #186857 (Closes: #186857)

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 30 Mar 2003 16:08:48 -0600

r-base (1.6.2.cvs.20030326-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-03-26 of R 1.7.0
  * debian/rules: Configure with --with-lapack
  * debian/control: Build-Depends on lapack-dev
  * debian/rules: Explicitly use gcc/g77/g++-3.2 for builds on testing
  * debian/r-gnome.menu: The Needs: entry was corrected to "x11"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Mar 2003 09:19:07 -0600

r-base (1.6.2-2) unstable; urgency=low

  * Rebuilding on Debian unstable with gcc/g++/g77 as the new default
  * debian/control: Depends g77 (>= 3.2.2), g++ (>= 3.2.2) for r-base{,-dev}
  * debian/rules: Adjusted accordingly by defaulting to gcc, g++, g77

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Jan 2003 20:21:21 -0600

r-base (1.6.2-1) unstable; urgency=low

  * New upstream version 1.6.2 released today
  * debian/r-base-core.lintian: Added exceptions for 
    image-file-in-usr-lib usr/lib/R/doc/html/{left,logo,logosm,right,up}.jpg
  * debian/rules: Substitute Perl path to /usr/bin/perl for 
    usr/lib/R/bin/{Rdconv,Rdindex,Rprof,Sd2Rd,build,check}

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Jan 2003 20:30:26 -0600

r-base (1.6.1.cvs.20030103-1) unstable; urgency=low

  * Upgraded to release candidate dated 2003-01-03 of R 1.6.2

 -- Douglas Bates <bates@stat.wisc.edu>  Fri,  3 Jan 2003 09:42:18 -0600

r-base (1.6.1.cvs.20021230-1) unstable; urgency=low

  * Upgraded to release candidate dated 2002-12-30 of R 1.6.2
  * Added Douglas Bates as an Uploader following email discussion with Dirk
  
 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 30 Dec 2002 20:43:24 -0600

r-base (1.6.1-3) unstable; urgency=low

  * debian/{control,rules}: Configure switch from f2c to g77 for m68k
  * debian/{control,rules}: Configure switch from tcl/tk8.3 to tcl/tk8.4
  * debian/control: Added libpaperg-dev to Build-Depends (Closes: #168259)
  * debian/r-base-control: Substitute result from paperconf call 
    into $R_HOME/etc/Renviron, not /usr/bin/R 
  * debian/rules: Move $R_HOME/etc/* files into /etc/R/ (Closes: #170018)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Nov 2002 07:49:49 -0600

r-base (1.6.1-2) unstable; urgency=low

  * Rebuilt with support for bzip2 (compression) and pcre (reg.expressions)


=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Uploaders: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 3.5.9
Build-Depends: blas-dev (>= 1.0-9), lapack-dev, libgnome-dev, libzvt-dev, libgtkxmhtml-dev, tcl8.4-dev, tk8.4-dev, libglade-gnome0-dev, bison, g77 (>= 3.2.2), g++ (>= 3.2.2), groff-base, libncurses5-dev, libreadline4-dev, tetex-bin, tetex-extra, debhelper (>= 3.0.0), texi2html, texinfo (>= 4.1-2), libbz2-dev, libpcre3-dev, libpaperg-dev

Package: r-base
Architecture: all
Depends: r-base-core, r-base-html, r-base-latex
Suggests: libpaperg, ess, r-doc-info | r-doc-pdf | r-doc-html
Description: GNU R statistical computing language and environment
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This packages is a meta-package which eases the transition from the 
 pre-1.5.0 package setup with its larger r-base package. Once installed, it 
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this packages gives a way to users to 
 then only install r-base-core (but not, say, r-base-latex) if they so desire.

Package: r-base-core
Architecture: any
Depends: ${perl:Depends}, zlib-bin, ${shlibs:Depends}
Replaces: r-base (<= 1.4.1-1)
Recommends: r-recommended, r-base-dev
Suggests: libpaperg, ess, r-doc-info | r-doc-pdf | r-doc-html
Description: GNU R core of statistical computing language and environment
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-base-latex, r-doc-html, r-doc-pdf 
 and r-doc-info have been split off to somewhat reduce the size of this 
 package. 

Package: r-gnome
Section: gnome
Architecture: any
Depends: r-base-core (= ${Source-Version}), ${shlibs:Depends}
Recommends: r-cran-gtkdevice
Description: GNU R Gnome gui for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This package provides the dynamic link libraries needed to start GNU R
 with the GNOME libraries frontend as in "R --gui=GNOME"

Package: r-base-dev
Architecture: all
Section: devel
Depends: r-base-core, blas-dev (>= 1.0-9), build-essential, g77 (>= 3.2.2), gcc (>= 3.2.2), g++ (>= 3.2.2), libncurses5-dev, libreadline4-dev, lapack-dev
Description: GNU R installation of auxiliary GNU R packages 
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: r-base-core, r-base-dev
Description: GNU R standalone mathematics library
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: extra
Depends: r-base-core
Replaces: r-base (<= 1.4.1-1)
Suggests: r-doc-html, mozilla | www-browser
Description: GNU R html docs for statistical computing system functions
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides html documentation suitable for browsing with a 
 web-browser for the libraries included in the r-base package. It is not 
 a required package as the same documentation is already included for 
 on-line browsing. 

Package: r-base-latex
Architecture: all
Priority: extra
Depends: r-base-core
Replaces: r-base (<= 1.4.1-1)
Description: GNU R LaTeX docs for statistical computing system functions
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides latex documentation suitable for off-line printing
 for the libraries included in the r-base package. It is not a required 
 package as the same documentation is already included for on-line browsing.

Package: r-doc-pdf
Architecture: all
Section: doc
Suggests: r-base-core, xpdf | acroread | pdf-viewer
Description: GNU R pdf manuals for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in pdf format. The sibling packages
 r-doc-html and r-doc-info provides the same manuals.

Package: r-doc-html
Architecture: all
Section: doc
Suggests: r-base-core, mozilla | www-browser
Replaces: r-base (<= 1.4.1-1)
Description: GNU R html manuals for statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in html format. The sibling packages
 r-doc-pdf and r-doc-info provides the same manuals.

Package: r-doc-info
Architecture: all
Section: doc
Replaces: r-base (<= 1.4.1-1)
Suggests: r-base-core, info (>= 3.12) | info-browser
Description: GNU R info manuals statistical computing system
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 R is designed as a true computer language with control-flow
 constructions for iteration and alternation, and it allows users to
 add additional functionality by defining new functions. For
 computationally intensive tasks, C, C++ and Fortran code can be
 linked and called at run time.
 .
 This packages provides the R manuals in info format. The sibling packages
 r-doc-html and r-doc-pdf provide the same manuals.

Package: r-recommended
Architecture: any
Depends: r-base-core (= ${Source-Version}), ${shlibs:Depends}
Description: GNU R collection of recommended packages 
 R is `GNU S' - A language and environment for statistical computing
 and graphics. R is similar to the award-winning S system, which was
 developed at Bell Laboratories by John Chambers et al. It provides a
 wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis,
 classification, clustering, ...).
 .
 This Debian package contains the R packages that are recommended by the
 upstream R core team as part of a complete R distribution, and distributed
 along with the source of R itself. The package comprises 
 the following packages:
